module PersonalExperience
  class Engine < ::Rails::Engine
  	initializer "personal_experience" do
		OrbitApp.registration "PersonalExperience",:type=> 'ModuleApp' do
			module_label 'module_name.personal_experience'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '45', :app_name=>"Experience", :intro_app_name=>"PersonalExperienceIntro",:path=>"/plugin/personal_experience/profile",:front_path=>"/profile",:admin_path=>"/admin/experiences",:i18n=>'module_name.personal_experience', :module_app_name=>'PersonalExperience', :analysis => true, :analysis_path => "/admin/experiences/analysis"
			
			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			authorizable
			is_personal_plugin true
		   	frontend_enabled
      		icon_class_no_sidebar "icons-user"
      		data_count 1..10
		end
	end
  end
end
